Bug 983761 - [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
[abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:f3931e7e77081d45685229e4552...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 18:20 EDT by Vinod Kutty
Modified: 2014-02-05 17:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:06:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (229.32 KB, text/plain)
2013-07-11 18:20 EDT, Vinod Kutty
no flags Details
fpaste --sysinfo output (12.25 KB, text/plain)
2013-11-03 09:25 EST, tkil
no flags Details
dmesg for current session (no error yet) (85.18 KB, text/plain)
2013-11-03 09:26 EST, tkil
no flags Details
dmesg excerpt from previous session (showing crash) (9.06 KB, text/plain)
2013-11-03 09:27 EST, tkil
no flags Details

  None (edit)
Description Vinod Kutty 2013-07-11 18:20:18 EDT
Description of problem:
1. Suspended laptop
2. Walked to desk and placed it in docking station
3. Resumed from suspend

Kinesis Advantage Pro USB Keyboard is attached to docking station. Keyboard has a built-in hub to which a trackball (ITAC systems) is attached. 

Neither device functioned for input after this error.



Additional info:
reporter:       libreport-2.1.5
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffff8146f08a>] hub_suspend+0x6a/0x1f0
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: iwldvm iwlwifi mac80211 cfg80211 usb_storage lp fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat xt_CHECKSUM iptable_mangle be2iscsi iscsi_boot_sysfs bnx2i bridge stp llc cnic uio cxgb4i cxgb4 lockd sunrpc cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr rfcomm iw_cm ib_cm ib_sa bnep ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 ip6_tables xt_conntrack nf_conntrack snd_hda_codec_idt arc4 iTCO_wdt iTCO_vendor_support snd_hda_intel ppdev snd_hda_codec dell_wmi sparse_keymap uvcvideo snd_hwdep snd_seq acpi_cpufreq videobuf2_vmalloc mperf snd_seq_device videobuf2_memops dell_laptop btusb coretemp videobuf2_core snd_pcm dcdbas videodev media bluetooth snd_page_alloc microcode e1000e i2c_i801 snd_timer snd lpc_ich rfkill ptp soundcore mfd_core mei pps_core parport_pc parport vhost_net tun macvtap macvlan kvm_intel kvm binfmt_misc uinput dm_crypt nouveau i915 mxm_wmi crc32_pclmul i2c_algo_bit crc32c_intel sdhci_pci drm_kms_helper ttm sdhci drm ghash_clmulni_intel mmc_core i2c_core wmi video [last unloaded: cfg80211]
CPU 0 
Pid: 54, comm: khubd Not tainted 3.9.6-200.fc18.x86_64 #1 Dell Inc. Latitude E6530/07Y85M
RIP: 0010:[<ffffffff8146f08a>]  [<ffffffff8146f08a>] hub_suspend+0x6a/0x1f0
RSP: 0018:ffff88041742fb68  EFLAGS: 00010202
RAX: 0000000000000000 RBX: 0000000000000001 RCX: 000000000000000b
RDX: 0000000000000000 RSI: 0000000000000402 RDI: ffff8804155ad030
RBP: ffff88041742fbb8 R08: 0000000000000001 R09: 0000000000000008
R10: 0000000000000001 R11: 0000000000000000 R12: ffff8804155ad030
R13: 0000000000000400 R14: ffff88039966c800 R15: ffff88038b66e400
FS:  0000000000000000(0000) GS:ffff88042e200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 0000000417302000 CR4: 00000000001407f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process khubd (pid: 54, threadinfo ffff88041742e000, task ffff880417b3aee0)
Stack:
 ffffffff81ca4d80 00000402cd12a9a0 ffff8803d10df1c0 00000000000001a4
 ffff88041742fbe8 0000000000000000 ffff88039966c800 0000000000000001
 0000000000000008 ffff8804155ad000 ffff88041742fc08 ffffffff8147a71b
Call Trace:
 [<ffffffff8147a71b>] usb_suspend_both+0x9b/0x1d0
 [<ffffffff8147ba9f>] usb_runtime_suspend+0x3f/0x70
 [<ffffffff814049f0>] __rpm_callback+0x30/0x80
 [<ffffffff81404a6f>] rpm_callback+0x2f/0x90
 [<ffffffff81404e43>] rpm_suspend+0x123/0x640
 [<ffffffff81406273>] __pm_runtime_suspend+0x63/0xa0
 [<ffffffff8146f69b>] usb_new_device+0x34b/0x390
 [<ffffffff814713c8>] hub_thread+0xeb8/0x16c0
 [<ffffffff810833e0>] ? wake_up_bit+0x40/0x40
 [<ffffffff81470510>] ? hub_port_debounce+0x130/0x130
 [<ffffffff81082af0>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x20/0xb0
 [<ffffffff81082a30>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff8166a52c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81082a30>] ? kthread_create_on_node+0x120/0x120
Code: 00 04 00 00 85 c0 75 15 eb 67 0f 1f 80 00 00 00 00 83 c3 01 41 39 9e 78 04 00 00 72 54 49 8b 97 08 02 00 00 8d 43 ff 48 8b 14 c2 <48> 8b 12 48 85 d2 74 de f6 82 44 04 00 00 01 74 d5 31 c0 89 da 
RIP  [<ffffffff8146f08a>] hub_suspend+0x6a/0x1f0
 RSP <ffff88041742fb68>
CR2: 0000000000000000
Comment 1 Vinod Kutty 2013-07-11 18:20:23 EDT
Created attachment 772455 [details]
File: dmesg
Comment 2 adam2 2013-08-15 11:39:11 EDT
Description of problem:
Booted computer, and external mount and keyboard (on notebook) didn't respond. Used notebook touchpad to select reboot at login screen, and it froze during shutdown. Powered off and back on fine.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/vmlinuz-3.10.4-100.fc18.x86_64 root=/dev/mapper/vg_quail-lv_root ro rd.md=0 rd.dm=0 SYSFONT=True rd.lvm.lv=vg_quail/lv_root KEYTABLE=us rd.luks=0 rd.lvm.lv=vg_quail/lv_swap LANG=en_US.UTF-8 rhgb quiet
kernel:         3.10.4-100.fc18.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffff8147074a>] hub_suspend+0x6a/0x1f0
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: sdhci_pci firewire_ohci i915(+) sdhci mmc_core firewire_core crc_itu_t yenta_socket i2c_algo_bit drm_kms_helper drm i2c_core wmi video
CPU: 1 PID: 25 Comm: khubd Not tainted 3.10.4-100.fc18.x86_64 #1
Hardware name: LENOVO 22427UU/22427UU, BIOS 7VET80WW (3.10 ) 10/02/2009
task: ffff880135be07a0 ti: ffff880135580000 task.ti: ffff880135580000
RIP: 0010:[<ffffffff8147074a>]  [<ffffffff8147074a>] hub_suspend+0x6a/0x1f0
RSP: 0018:ffff880135581b58  EFLAGS: 00010202
RAX: 0000000000000000 RBX: 0000000000000001 RCX: 000000000000000b
RDX: 0000000000000000 RSI: 0000000000000402 RDI: ffff880130c94430
RBP: ffff880135581ba8 R08: 0000000000000001 R09: 0000000000000008
R10: 0000000000000001 R11: 0000000000000000 R12: ffff880130c94430
R13: 0000000000000400 R14: ffff880130899800 R15: ffff880130c82400
FS:  0000000000000000(0000) GS:ffff88013bc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 000000013126e000 CR4: 00000000000407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Stack:
 ffffffff81ca40e0 00000402308272a0 ffff880130827690 00000000000001a4
 ffff880135581bd8 ffff880130899800 ffff880130c94400 0000000000000001
 0000000000000008 0000000000000000 ffff880135581bf8 ffffffff8147bc2e
Call Trace:
 [<ffffffff8147bc2e>] usb_suspend_both+0x9e/0x1e0
 [<ffffffff8147cfaf>] usb_runtime_suspend+0x3f/0x70
 [<ffffffff813fb640>] __rpm_callback+0x30/0x80
 [<ffffffff813fb6bf>] rpm_callback+0x2f/0x90
 [<ffffffff813fba93>] rpm_suspend+0x123/0x650
 [<ffffffff813fced3>] __pm_runtime_suspend+0x63/0xa0
 [<ffffffff81470d5b>] usb_new_device+0x34b/0x390
 [<ffffffff81472ae8>] hub_thread+0xed8/0x16f0
 [<ffffffff81083260>] ? wake_up_bit+0x40/0x40
 [<ffffffff81471c10>] ? hub_port_debounce+0x130/0x130
 [<ffffffff81082a80>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? perf_trace_xen_mmu_flush_tlb_others+0xa0/0x110
 [<ffffffff810829c0>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff8166ec6c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810829c0>] ? kthread_create_on_node+0x120/0x120
Code: 00 04 00 00 85 c0 75 15 eb 67 0f 1f 80 00 00 00 00 83 c3 01 41 39 9e 80 04 00 00 72 54 49 8b 97 10 02 00 00 8d 43 ff 48 8b 14 c2 <48> 8b 12 48 85 d2 74 de f6 82 4c 04 00 00 01 74 d5 31 c0 89 da 
RIP  [<ffffffff8147074a>] hub_suspend+0x6a/0x1f0
 RSP <ffff880135581b58>
CR2: 0000000000000000
Comment 3 Justin M. Forbes 2013-10-18 17:09:09 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 4 tkil 2013-11-03 09:23:30 EST
Seeing same problem (with same keyboard, although I don't have anything connected through the hub on the keyboard).

I'm using a KVM with a hub, so switching between workstations causes a disconnect / reconnect on the USB port.

After some number of these (I'm seeing the problem every 2 weeks or so, so probably on the order of 100 cycles), I have the same symptoms -- the USB subsystem is basically trashed.  I can't type or use the mouse, and even a different (simpler) keyboard on a different port fails to work.

The keyboard and mouse is still functional on the other workstation, so it seems something is wrong on the Linux side.

Worse, my logs are spammed with messages from the usb subsystem (about one every 4ms):

Nov  3 06:33:14 hum kernel: [895232.878716] hid-generic 0003:0557:2213.0003: can't reset device, 0000:00:1d.0-1.5.4.1/input1, status -71
Nov  3 06:33:14 hum kernel: [895232.882693] usb 2-1.5: clear tt 1 (00a0) error -71
Nov  3 06:33:14 hum kernel: [895232.886715] hid-generic 0003:0557:2213.0002: can't reset device, 0000:00:1d.0-1.5.4.1/input0, status -71
Nov  3 06:33:14 hum kernel: [895232.890706] usb 2-1.5: clear tt 1 (00a0) error -71

This is with a fully up-to-date Fedora 18 x86-64 install; kernel is:

Linux hum 3.11.4-101.fc18.x86_64 #1 SMP Thu Oct 10 14:05:32 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I'll attach some more logs and sysinfo.  Thanks!
Comment 5 tkil 2013-11-03 09:25:35 EST
Created attachment 818768 [details]
fpaste --sysinfo output
Comment 6 tkil 2013-11-03 09:26:30 EST
Created attachment 818769 [details]
dmesg for current session (no error yet)
Comment 7 tkil 2013-11-03 09:27:42 EST
Created attachment 818770 [details]
dmesg excerpt from previous session (showing crash)
Comment 8 Fedora End Of Life 2013-12-21 09:18:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 17:06:39 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.